#
# spec file for package python-freezerclient
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-freezerclient
Version:        1.6.0
Release:        lp151.2.4
Summary:        Python API and CLI for OpenStack Freezer
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://launchpad.net/python-freezerclient
Source0:        https://files.pythonhosted.org/packages/source/p/python-freezerclient/python-freezerclient-1.6.0.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-devel
BuildRequires:  python2-fixtures >= 3.0.0
BuildRequires:  python2-keystoneclient >= 3.8.0
BuildRequires:  python2-mock >= 2.0.0
BuildRequires:  python2-oslo.i18n >= 3.15.3
BuildRequires:  python2-oslo.utils >= 3.33.0
BuildRequires:  python2-oslotest >= 3.2.0
BuildRequires:  python2-pbr >= 2.0.0
BuildRequires:  python2-python-subunit >= 1.0.0
BuildRequires:  python2-setuptools >= 16.0
BuildRequires:  python2-testrepository >= 0.0.18
BuildRequires:  python2-testtools >= 2.2.0
BuildRequires:  python3-devel
BuildRequires:  python3-fixtures >= 3.0.0
BuildRequires:  python3-keystoneclient >= 3.8.0
BuildRequires:  python3-mock >= 2.0.0
BuildRequires:  python3-oslo.i18n >= 3.15.3
BuildRequires:  python3-oslo.utils >= 3.33.0
BuildRequires:  python3-oslotest >= 3.2.0
BuildRequires:  python3-pbr >= 2.0.0
BuildRequires:  python3-python-subunit >= 1.0.0
BuildRequires:  python3-setuptools >= 16.0
BuildRequires:  python3-testrepository >= 0.0.18
BuildRequires:  python3-testtools >= 2.2.0
Requires:       python-cliff >= 2.8.0
Requires:       python-keystoneclient >= 3.8.0
Requires:       python-oslo.config >= 5.1.0
Requires:       python-oslo.i18n >= 3.15.3
Requires:       python-oslo.log >= 3.36.0
Requires:       python-oslo.utils >= 3.33.0
Requires:       python-pbr >= 2.0.0
Requires:       python-six >= 1.10.0
BuildArch:      noarch
%if 0%{?suse_version}
Requires(post): update-alternatives
Requires(postun): update-alternatives
%else
# on RDO, update-alternatives is in chkconfig
Requires(post): chkconfig
Requires(postun): chkconfig
%endif
%python_subpackages

%description
Client library for Freezer built on the Freezer API. It provides a Python API
(the freezerclient module) and a command-line tool (freezer).

%package -n python-freezerclient-doc
Summary:        Documentation for OpenStack Freezer API client libary
Group:          Documentation/HTML
BuildRequires:  python-Sphinx
BuildRequires:  python-openstackdocstheme >= 1.18.1

%description -n python-freezerclient-doc
Client library for Freezer built on the Freezer API. It provides a Python API
(the freezerclient module) and a command-line tool (freezer).
This package contains the documentation.

%prep
%autosetup -p1 -n %{name}-%{version}
%py_req_cleanup
sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg

%build
%{python_build}

# Build HTML docs and man page
%{__python2} setup.py build_sphinx
rm -rf html/.{doctrees,buildinfo}

%install
%{python_install}
%python_clone -a %{buildroot}%{_bindir}/freezer

%post
%python_install_alternative freezer

%postun
%python_uninstall_alternative freezer

%check
%{python_expand rm -rf .testrepository
$python setup.py testr
}

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/freezerclient
%{python_sitelib}/*.egg-info
%python_alternative %{_bindir}/freezer

%files -n python-freezerclient-doc
%doc doc/build/html
%license LICENSE

%changelog
* Fri Feb 23 2018 tbechtold@suse.com
- Switch to stable/queens spec template
* Mon Feb 12 2018 cloud-devel@suse.de
- update to version 1.6.0 (bsc#1078607)
  - Remove the python-subunit from test-requirements.txt
  - Update reno for stable/pike
  - Remove setting of version/release from releasenotes
  - Use namespace to allow CommandManager to load actions
  - Fix creating freezer client with keystone auth session
  - Remove astroid from test-requirements
  - Avoid tox_install.sh for constraints support
  - Update wrong url for freezerclient
  - Fix guess auth version error
  - Updated from global requirements
  - Update cli reference
* Thu Jan 18 2018 tbechtold@suse.com
- Convert to singlespec
* Wed Aug 23 2017 tbechtold@suse.com
- add 0001-Remove-astroid-from-test-requirements.patch
* Mon Aug  7 2017 cloud-devel@suse.de
- update to version 1.5.0
  - Enable some off-by-default checks
  - Drop MANIFEST.in
  - Fix ssl connections
  - Fix 'freezer client-delete' error
  - [Fix gate]Update test requirement
  - Replace http with https
  - Update reno for stable/ocata
  - Remove unused components from requirements
  - Set OS_BACKUP_API_VERSION to v1
  - Use bindep to define binary deps
  - Import cli-reference content from openstack-manuals
  - Update message for job start/stop/abort
  - Enable client deletion
  - Update python-freezerclient for pike goal python 3.5
  - Added session-start option to allow starting sessions
  - Fix freezer client-* output
  - Fix SSL connections initiated from freezer-scheduler
  - Added obj file to delete at testenv
  - Change author in setup.cfg
  - Freezerclient v2
  - client-id is now required when creating jobs
  - Use pbr for version numbers
  - Enable project_id for multi-domain support
  - Follow up to I87f0add4dc2bcece832197cfc88e2d531a80a326
  - Displaying job status
  - Remove py34 from tox
  - Update documentation URLs
  - Deletion of backup metadata
  - Updated from global requirements
  - Switch to openstackdocstheme
* Mon Mar 27 2017 tbechtold@suse.com
- Initial package (version 1.3.0)
